3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php //Source: https://bugs.php.net/bug.php?id=62420 try { throw new Exception("Previous exception"); } catch (Exception $previous) { echo new Exception("Current exception", 0, $previous); }
Output for 7.0.0 - 7.1.0
Exception: Previous exception in /in/NI4FQ:5 Stack trace: #0 {main} Next Exception: Current exception in /in/NI4FQ:9 Stack trace: #0 {main}
Output for 5.3.0 - 5.6.21, hhvm-3.12.0
exception 'Exception' with message 'Previous exception' in /in/NI4FQ:5 Stack trace: #0 {main} Next exception 'Exception' with message 'Current exception' in /in/NI4FQ:9 Stack trace: #0 {main}
Output for hhvm-3.10.0

Process exited with code 153.
Output for 5.1.2 - 5.2.17
Fatal error: Wrong parameters for Exception([string $exception [, long $code ]]) in /in/NI4FQ on line 9
Process exited with code 255.
Output for 5.1.0 - 5.1.1
Fatal error: Wrong parameter count for exception([string $exception [, long $code ]]) in /in/NI4FQ on line 9
Process exited with code 255.
Output for 5.0.0 - 5.0.5
Fatal error: Wrong parameter count for exception([string $exception [, long $code ]]) in Unknown on line 0
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/NI4FQ on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/NI4FQ on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/NI4FQ on line 4
Process exited with code 255.